#   File:       CIncludesCode.make
#   Target:     CIncludesCode
#   Sources:    createDataFile.c
#               dependencies.c
#               dictionaries.c
#               filenames.c
#               getDatabase.c
#               locate.c
#               main.c
#               reformat.c
#               utilities.c
#               writeFile.c
#               CIncludesCode.r
#   Created:    December 23, 1989 20:30:19


OBJECTS = 
		createDataFile.c.o 
		dependencies.c.o 
		dictionaries.c.o 
		filenames.c.o 
		getDatabase.c.o 
		locate.c.o 
		main.c.o 
		reformat.c.o 
		utilities.c.o 
		writeFile.c.o

CIncludesCode  CIncludesCode.make CIncludesCode.r
	Rez CIncludesCode.r -append -o CIncludesCode

createDataFile.c.o  CIncludesCode.make createDataFile.c
	 C -sym on createDataFile.c
dependencies.c.o  CIncludesCode.make dependencies.c
	 C -sym on dependencies.c
dictionaries.c.o  CIncludesCode.make dictionaries.c
	 C -sym on dictionaries.c
filenames.c.o  CIncludesCode.make filenames.c
	 C -sym on filenames.c
getDatabase.c.o  CIncludesCode.make getDatabase.c
	 C -sym on getDatabase.c
locate.c.o  CIncludesCode.make locate.c
	 C -sym on locate.c
main.c.o  CIncludesCode.make main.c
	 C -sym on main.c
reformat.c.o  CIncludesCode.make reformat.c
	 C -sym on reformat.c
utilities.c.o  CIncludesCode.make utilities.c
	 C -sym on utilities.c
writeFile.c.o  CIncludesCode.make writeFile.c
	 C -sym on writeFile.c

CIncludesCode  CIncludesCode.make {OBJECTS}
	Link -w -c 'MPS ' -t MPST -sym on -mf 
		{OBJECTS} 
		"{Libraries}"Stubs.o 
		"{CLibraries}"CRuntime.o 
		"{Libraries}"Interface.o 
		"{CLibraries}"StdCLib.o 
		"{CLibraries}"CSANELib.o 
		"{CLibraries}"Math.o 
		"{CLibraries}"CInterface.o 
		#"{CLibraries}"Complex.o 
		"{Libraries}"ToolLibs.o 
		-o CIncludesCode
